## libinputsynth 0.13.2

=== meson_options.txt ===
option('api_doc',
  type: 'boolean',
  value: false,
  description: 'Build API documentation using GTK-Doc'
)

option('introspection', type : 'boolean', value : false)

## libinputsynth 0.12.1

=== debian/changelog ===
libinputsynth (0.12.1-1) unstable; urgency=medium

  * Initial Release. (Closes: #933563)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 03 Aug 2019 19:11:32 +0800

=== debian/control ===
Source: libinputsynth
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
 meson (>= 0.45.1),
 libglib2.0-dev,
 libx11-dev,
 libxtst-dev,
 libxi-dev,
 libxdo-dev
Standards-Version: 4.3.0
Section: libs
Homepage: https://gitlab.freedesktop.org/xrdesktop/libinputsynth
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/libinputsynth
Vcs-Git: https://salsa.debian.org/xrdesktop-team/libinputsynth.git

Package: libinputsynth-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libinputsynth-0.12-0 (= ${binary:Version}), ${misc:Depends}
Description: synthesize keyboard and mouse input -- development files
 synthesize keyboard and mouse input on X11 and Wayland with various backends.
 .
 This package includes files needed for development.

Package: libinputsynth-0.12-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: synthesize keyboard and mouse input
 synthesize keyboard and mouse input on X11 and Wayland with various backends.
 .
 This package includes the loader library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

test_env = LIBINPUTSYNTH_PLUGINDIR=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/ \
	   LC_ALL=C.UTF-8 \
	   MESON_TESTTHREADS=1

override_dh_auto_test: ;
	env $(test_env) ninja -C obj-$(DEB_BUILD_GNU_TYPE) test

override_dh_missing:
	dh_missing --list-missing

## libinputsynth 0.13.2

=== debian/changelog ===
libinputsynth (0.13.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #941238)
    + Honour DEB_BUILD_OPTIONS=nocheck.
    + Fix build/host confusion.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Dec 2019 12:32:32 +0800

libinputsynth (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2 release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 25 Nov 2019 13:53:05 +0800

libinputsynth (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1 release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 Nov 2019 18:26:24 +0800

libinputsynth (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0 release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 12 Oct 2019 18:21:43 +0800

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libinputsynth-0.12-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libinputsynth-0.13-0 (= ${binary:Version}), ${misc:Depends}
 Description: synthesize keyboard and mouse input -- development files
  synthesize keyboard and mouse input on X11 and Wayland with various backends.
  .
  This package includes files needed for development.
 
-Package: libinputsynth-0.12-0
+Package: libinputsynth-0.13-0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## libinputsynth 0.14.0

=== debian/changelog ===
libinputsynth (0.14.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 14 Apr 2020 17:25:45 +0800

libinputsynth (0.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 01 Apr 2020 09:02:34 +0800

## libinputsynth 0.15.0

=== debian/changelog ===
libinputsynth (0.15.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:07:42 +1100

libinputsynth (0.15.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:25:01 +0000

libinputsynth (0.15.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 18 Jul 2020 08:00:58 +0800

libinputsynth (0.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename shared library package for soname bump.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 16 Jul 2020 07:08:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libinputsynth
 Priority: optional
-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends: debhelper (>= 11),
  meson (>= 0.45.1),
@@ -19,13 +20,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libinputsynth-0.13-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libinputsynth-0.15-0 (= ${binary:Version}), ${misc:Depends}
 Description: synthesize keyboard and mouse input -- development files
  synthesize keyboard and mouse input on X11 and Wayland with various backends.
  .
  This package includes files needed for development.
 
-Package: libinputsynth-0.13-0
+Package: libinputsynth-0.15-0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

test_env = LIBINPUTSYNTH_PLUGINDIR=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/ \
	   LC_ALL=C.UTF-8 \
	   MESON_TESTTHREADS=1 \
	   LC_ALL=C.UTF-8 \
	   MESON_TESTTHREADS=1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env $(test_env) ninja -C obj-$(DEB_HOST_GNU_TYPE) test
endif

override_dh_missing:
	dh_missing --list-missing
